<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
<!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="ISM-ID-00321" is-a="MutuallyExclusiveAttributeValues"
    xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [ISM-ID-00321][Error] If ISM_CAPCO_RESOURCE, then tokens [RD] 
        and [FRD] are mutually exclusive for attribute atomicEnergyMarkings.
        
        Human Readable: RD and FRD are mutally exclusive and cannot be commingled 
        in a portion mark or in the banner line.
    </sch:p>
    <sch:p id="codeDesc">
        This rule uses an abstract pattern to consolidate logic.
        If the document is an ISM-CAPCO-RESOURCE, for each element which 
        has attribute ism:atomicEnergyMarkings specified with a value 
        containing the token [RD] or [FRD], we make sure that attribute
        ism:disseminationControls is specified with a value containing only 
        one of the tokens [RD] or [FRD].
    </sch:p>
    
    <sch:param name="context" value="*[$ISM_CAPCO_RESOURCE
        and util:containsAnyOfTheTokens(@ism:atomicEnergyMarkings, ('RD', 'FRD'))]"/>
    <sch:param name="attrValue" value="@ism:atomicEnergyMarkings"/>
    <sch:param name="mutuallyExclusiveTokenList" value="('RD', 'FRD')"/>
    <sch:param name="errMsg" value="'
        [ISM-ID-00321][Error] If ISM_CAPCO_RESOURCE, then tokens [RD] 
        and [FRD] are mutually exclusive for attribute atomicEnergyMarkings.
        
        Human Readable: RD and FRD are mutally exclusive and cannot be commingled 
        in a portion mark or in the banner line.
        '"/>
</sch:pattern>