<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
 <!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="ISM-ID-00303" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [ISM-ID-00303][Error] If ISM_CAPCO_RESOURCE and the document contains attribute 
        disseminationControls with name token [OC-USGOV] in the banner, then 
        all [OC] portions must also contain [OC-USGOV].
        
        Human Readable: A USA document with OC-USGOV dissemination in the banner
        must also contain OC-USGOV in any OC portions.
    </sch:p>
    <sch:p id="codeDesc">
    	If the document is an ISM-CAPCO-RESOURCE and the resource element
    	contains attribute disseminationControls with name token [OC-USGOV], we 
    	make sure that every portion contain name token [OC] also contains 
    	name token [OC-USGOV].    	
    </sch:p>
    <sch:rule context="*[$ISM_CAPCO_RESOURCE
                            and generate-id(.) = generate-id($ISM_RESOURCE_ELEMENT)
                            and util:containsAnyOfTheTokens(@ism:disseminationControls, ('OC-USGOV'))]">
        <sch:let name="portionsWithOC" value="
            for $portion in $partTags return
            if($portion[util:containsAnyOfTheTokens(@ism:disseminationControls, ('OC'))])
            then $portion
            else null
            "/>  
        <sch:assert  
            test="every $portionWithOC in $portionsWithOC
            satisfies $portionWithOC[util:containsAnyOfTheTokens(@ism:disseminationControls, 'OC-USGOV')]"
            flag="error">
            [ISM-ID-00303][Error] If ISM_CAPCO_RESOURCE and the document contains attribute 
            disseminationControls with name token [OC-USGOV] in the banner, then 
            all [OC] portions must also contain [OC-USGOV].
            
            Human Readable: A USA document with OC-USGOV dissemination in the banner
            must also contain OC-USGOV in any OC portions.
        </sch:assert>
    </sch:rule>
</sch:pattern>